<?php
/**
 * SettingCodeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\BasketsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Baskets
 *
 * Ensi Baskets
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\BasketsClient\Dto;
use \Ensi\BasketsClient\ObjectSerializer;

/**
 * SettingCodeEnum Class Doc Comment
 *
 * @category Class
 * @description Параметры. Расшифровка значений:   * &#x60;basketStorageTime&#x60; - Время хранения корзины (час)
 * @package  Ensi\BasketsClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class SettingCodeEnum
{
    /**
     * Possible values of this enum
     */
    const BASKET_DURATION = 'basketStorageTime';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::BASKET_DURATION,
        ];
    }
}


